rpmtsCallbackType_s Struct Reference
PYTHON-C Language Bindings.
Collaboration diagram for rpmtsCallbackType_s:
[legend]

## Data Fields

PyObject * | cb
PyObject * | data
rpmtsObject * | tso
rpmdsObject * | dso
PyThreadState * | _save

## Detailed Description

Definition at line 173 of file rpmts-py.c.

## Field Documentation

PyThreadState* rpmtsCallbackType_s::_save

Definition at line 178 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), rpmts_SolveCallback(), and rpmtsCallback().

PyObject* rpmtsCallbackType_s::cb

Definition at line 174 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), rpmts_SolveCallback(), and rpmtsCallback().

PyObject* rpmtsCallbackType_s::data

Definition at line 175 of file rpmts-py.c.

Referenced by rpmts_Run(), and rpmtsCallback().

rpmdsObject* rpmtsCallbackType_s::dso

Definition at line 177 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), and rpmts_SolveCallback().

rpmtsObject* rpmtsCallbackType_s::tso

Definition at line 176 of file rpmts-py.c.

Referenced by rpmts_Check(), rpmts_Run(), and rpmts_SolveCallback().

The documentation for this struct was generated from the following file:

- python/rpmts-py.c